/*imagelib.h*/

typedef unsigned char USC;

int readImage1(char* type, FILE* inf, int* nx, int* ny, int* nlev);
int readImage2(char* type, FILE* inf, int nx, int ny, USC* array);
int writeImage(char* type, FILE* outf, int nx, int ny, int nlev, USC* array);

char* getSuffix(char* filename);

int plotPixel(int x0, int y0, USC r, USC g, USC b, int nx, int ny, USC* array);
int plotCircle(int xc, int yc, int rad, USC r, USC g, USC b,
 int width, int nx, int ny, USC* array);
int plotLine(int x1, int y1, int x2, int y2, USC r, USC g, USC b,
 int width, int nx, int ny, USC* array);
int plotLine1(int x1, int y1, int x2, int y2, USC r, USC g, USC b, 
 int nx, int ny, USC* array);
int circlePoints(int xc, int yc, int x, int y, USC r, USC g, USC b,
 int nx, int ny, USC* array);
int linePoints(int x1, int y1, int x2, int y2, int oct, USC r, USC g, USC b,
 int nx, int ny, USC* array);
int plotLinePixel(int x0, int y0, int x1, int y1, int oct, USC r, USC g, USC b, 
 int nx, int ny, USC* array);
int getOctant(int x1, int y1, int x2, int y2);

